Skip to main content
GET
/
api2
/
v1
/
lqa
/
assessments
/
{jobUid}
Get LQA Assessment
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/lqa/assessments/{jobUid} \
  --header 'Authorization: <api-key>'
{
  "jobPartUid": "<string>",
  "assessmentJobPartUid": "<string>",
  "requestedJobPartUid": "<string>",
  "workflowStep": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>",
    "abbr": "<string>",
    "order": 123,
    "lqaEnabled": true
  },
  "reportCanBeDownloaded": true,
  "lqaEnabled": true,
  "availability": "NOT_AVAILABLE",
  "lqaProfile": {
    "uid": "string",
    "name": "<string>",
    "errorCategories": {
      "accuracy": {
        "accuracy": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "addition": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "omission": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "mistranslation": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "underTranslation": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "untranslated": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "improperTmMatch": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "overTranslation": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "fluency": {
        "fluency": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "punctuation": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "spelling": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "grammar": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "grammaticalRegister": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "inconsistency": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "crossReference": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "characterEncoding": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "terminology": {
        "terminology": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "inconsistentWithTb": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "inconsistentUseOfTerminology": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "style": {
        "style": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "awkward": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "companyStyle": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "inconsistentStyle": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "thirdPartyStyle": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "unidiomatic": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "localeConvention": {
        "localeConvention": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "addressFormat": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "dateFormat": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "currencyFormat": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "measurementFormat": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "shortcutKey": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "telephoneFormat": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "verity": {
        "verity": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "cultureSpecificReference": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "design": {
        "design": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "length": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "localFormatting": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "markup": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "missingText": {
          "enabled": true,
          "weight": 1,
          "code": 123
        },
        "truncation": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      },
      "other": {
        "other": {
          "enabled": true,
          "weight": 1,
          "code": 123
        }
      }
    },
    "penaltyPoints": {
      "neutral": {
        "code": 123,
        "value": 123
      },
      "minor": {
        "code": 123,
        "value": 123
      },
      "major": {
        "code": 123,
        "value": 123
      },
      "critical": {
        "code": 123,
        "value": 123
      }
    },
    "passFailThreshold": {
      "minScorePercentage": 99
    },
    "isDefault": true,
    "dateCreated": "2023-11-07T05:31:56Z",
    "organization": {
      "uid": "<string>"
    }
  },
  "startedDate": "2023-11-07T05:31:56Z",
  "finishedDate": "2023-11-07T05:31:56Z",
  "editedDate": "2023-11-07T05:31:56Z",
  "assessmentResult": {
    "jobPart": {
      "uid": "<string>"
    },
    "status": "PASS",
    "score": 123,
    "issueCounts": {
      "critical": 123,
      "criticalRepeated": 123,
      "major": 123,
      "majorRepeated": 123,
      "minor": 123,
      "minorRepeated": 123,
      "neutral": 123,
      "neutralRepeated": 123
    }
  },
  "overallFeedback": "<string>",
  "translationProvider": {
    "uid": "<string>"
  },
  "reviewProvider": {
    "uid": "<string>",
    "organizationUid": "<string>"
  },
  "origin": "HUMAN",
  "mode": "ISSUES",
  "status": "NOT_STARTED"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Response

successful operation

LQA assessment state

jobPartUid
string

UID of the corresponding job

assessmentJobPartUid
string

UID of job corresponding to the assessment. Null when assessment not found

requestedJobPartUid
string

The originally requested job UID

workflowStep
object
reportCanBeDownloaded
boolean

If Assessment report/scorecard is ready and can be downloaded, user's rights are considered

lqaEnabled
boolean

If LQA is enabled and configured for this job

availability
enum<string>
Available options:
NOT_AVAILABLE,
DISABLED_IN_ALL_WORKFLOW_STEPS,
DISABLED_IN_CURRENT_WORKFLOW_STEP,
ENABLED
lqaProfile
object
startedDate
string<date-time>

When assessment was started (or empty)

finishedDate
string<date-time>

When assessment was finished (or empty)

editedDate
string<date-time>

When assessment was edited after previous finish (or empty)

assessmentResult
object
overallFeedback
string

Overall feedback from the LQA reviewer

translationProvider
object
reviewProvider
object
origin
enum<string>
Available options:
HUMAN,
AI
mode
enum<string>
Available options:
ISSUES,
ISSUES_AND_SCORE
status
enum<string>
Available options:
NOT_STARTED,
STARTED,
FINISHED,
FINISHED_WITH_EDITING,
EDITED